{% load static %}
<div  v-if="steps['kuzov']['show']">
	<header-comment 
	name="Кузов" 
	label="kuzov"
	v-on:event_change_scheme="setScheme"
	></header-comment>
	<div  class="report-form__body">
		<div class="report-group" :class="{'report-group_scheme': scheme}">
			<div class="report-group__header"><h3 class="report-group__title">Внешние элементы</h3></div>
			<div class="report-group__body">
				<div class="car-scheme">
					<img @click="clearFieldStyles()" class="car-scheme__img" src="{% static 'front-elements.png' %}"/>
					<scheme-edit-marker
					v-for="(field, name, i) in inside"
					:key="i"
					:field="field"
					:data_id="'1'+i"
					:name="name"
					type="0"
					:value="fieldss[name]"
					></scheme-edit-marker>
				</div>
				<shema-edit-popup 
					v-for="(field, name, i) in inside"
					:key="i"
					:fieldss="fieldss"
					:value="name"
					:field="field"
					:data_id="'1'+i"
					v-on:event_change_field="setField" 
					type="0" 
				>
				</shema-edit-popup>
			</div>
		</div>
		<div class="report-group" :class="{'report-group_scheme': scheme}">
			<div class="report-group__header"><h3 class="report-group__title">Силовые элементы</h3></div>
			<div class="report-group__body">
				<div class="car-scheme">
					<img @click="clearFieldStyles()" class="car-scheme__img" src="{% static 'power-elements.png' %}"/>
					<scheme-edit-marker
					v-for="(field, name, i) in power"
					:key="i"
					:field="field"
					:data_id="'2'+i"
					:name="name"
					type="1"
					:value="fieldss[name]"
					></scheme-edit-marker>
				</div>
				<shema-edit-popup 
					v-for="(field, name, i) in power"
					:key="i"
					:fieldss="fieldss"
					:value="name"
					:field="field"
					:data_id="'2'+i"
					v-on:event_change_field="setField" 
					type="1" 
				>
				</shema-edit-popup>
			</div>
		</div>
		<comment-step  
		v-on:event_change_field="setField"  
		label="kuzov_comment" 
		:value="fieldss.kuzov_comment" 
		name="Кузов"
		v-on:event_change_field="setField">
		</comment-step> 
		<submit-step v-on:event_validate_before_submit="validateBeforeSubmit"
		label="kuzov" name="Далее"></submit-step> 
	</div>
</div>